/*
 * file:        SystemTick.h
 * purpose:     applications time base
 * project:     c++ framework for avr controllers
 * author:      Reinhard Mantey
 * copyright:   2003-2016 (c) Creative commons - by-nc-sa - some rights reserved
 *              see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#include "SystemTick.h"

#ifdef HAVE_SYSTEMTICK

using namespace srd;

uint32_t SystemTick::seconds;
int16_t SystemTick::ticks;
int16_t SystemTick::maxTicks;

void SystemTick::run() {
  if (++ticks > maxTicks) {
     ticks = 0;
     ++seconds;
     }
  };

#endif
